#include "httpd.h"
#include "http_config.h"
#include "http_protocol.h"
#include "ap_config.h"

#include "blosxom.h"

int mb_is_alpha_string(char *str)
{
    char *s = str;

    if (s == NULL)
        return 0;
    while (*s) {
        if (!ap_isalpha(*s))
            return 0;
        ++s;
    }
    return 1;
}

int mb_is_digit_string(char *str)
{
    char *s = str;
    if (s == NULL)
        return 0;
    while (*s) {
        if (!ap_isdigit(*s))
            return 0;
        ++s;
    }
    return 1;
}

int mb_has_dot_char(char *str)
{
    char *s = str;
    char *h, *t;

    if (s == NULL)
        return 0;
    h = strchr(s, '.');
    t = strrchr(s, '.');
    if (h == NULL || t == NULL)
        return 0;
    if (h - s <= 0 || (s + strlen(s)) - t <= 0)
        return 0;

    return 1; 
}


